diff -r 8cc28a5a3f4f src/auth/auth-request.c
--- a/src/auth/auth-request.c	Mon Mar 25 16:19:54 2013 +0200
+++ b/src/auth/auth-request.c	Mon Mar 25 16:33:28 2013 +0200
@@ -1289,7 +1289,10 @@
 		/* for prefetch userdb */
 		if (request->userdb_reply == NULL)
 			auth_request_init_userdb_reply(request);
-		auth_request_set_userdb_field(request, name + 7, value);
+		if (strcmp(name, "userdb_userdb_import") == 0)
+			auth_stream_reply_import(request->userdb_reply, value);
+		else
+			auth_request_set_userdb_field(request, name + 7, value);
 	} else {
 		/* these fields are returned to client */
 		auth_request_set_reply_field(request, name, value);
